media-sound/shoutcast-server-bin: package removed per security bug 261182
authorAaron Bauman <bman@gentoo.org>
Tue, 26 Apr 2016 08:26:31 +0000 (17:26 +0900)
committerAaron Bauman <bman@gentoo.org>
Tue, 26 Apr 2016 08:26:31 +0000 (17:26 +0900)
media-sound/shoutcast-server-bin/Manifest [deleted file]
media-sound/shoutcast-server-bin/files/1.9.8-sc_serv.conf.patch [deleted file]
media-sound/shoutcast-server-bin/files/shoutcast.2 [deleted file]
media-sound/shoutcast-server-bin/metadata.xml [deleted file]
media-sound/shoutcast-server-bin/shoutcast-server-bin-1.9.8-r1.ebuild [deleted file]

diff --git a/media-sound/shoutcast-server-bin/Manifest b/media-sound/shoutcast-server-bin/Manifest
deleted file mode 100644 (file)
index 080cf57..0000000
+++ /dev/null
@@ -1 +0,0 @@
-DIST sc_serv_1.9.8_Linux.tar.gz 60840 RMD160 b3618ece0a8939b826776fef313707675e846ece SHA1 8edf72fd3891630143f531cdd6b8bf13688b4ee3 SHA256 bb3a6eea5178ee79a014bbf0192bc44447c7a0c4fceb8872b9580153ba434fe6
diff --git a/media-sound/shoutcast-server-bin/files/1.9.8-sc_serv.conf.patch b/media-sound/shoutcast-server-bin/files/1.9.8-sc_serv.conf.patch
deleted file mode 100644 (file)
index 09bf6af..0000000
+++ /dev/null
@@ -1,44 +0,0 @@
---- sc_serv.conf.orig  2007-02-28 21:35:24.000000000 +0200
-+++ sc_serv.conf       2009-07-22 17:42:45.000000000 +0300
-@@ -50,17 +50,17 @@
- ; Note: on win32 systems if no path is specified the location is\r
- ; in the same dir as the executable, on *nix systems it is in the\r
- ; current directory.\r
--LogFile=sc_serv.log\r
-+LogFile=/dev/null\r
\r
- ; RealTime displays a status line that is updated every second\r
- ; with the latest information on the current stream (*nix and win32 \r
- ; console systems only)\r
--RealTime=1\r
-+RealTime=0\r
\r
- ; ScreenLog controls whether logging is printed to the screen or not\r
- ; on *nix and win32 console systems. It is useful to disable this when \r
- ; running servers in background without their own terminals. Default is 1\r
--ScreenLog=1\r
-+ScreenLog=0\r
\r
- ; ShowLastSongs specifies how many songs to list in the /played.html\r
- ; page.  The default is 10.  Acceptable entries are 1 to 20.\r
-@@ -91,7 +91,7 @@
\r
- ; W3CLog describes the name of the logfile for W3C logging.  Default logfile is\r
- ; sc_w3c.log, in the same directory wherever the DNAS gets started from.\r
--W3CLog=sc_w3c.log\r
-+W3CLog=/dev/null\r
\r
\r
- ; ***************************\r
-@@ -153,9 +153,9 @@
\r
- ; ContentDir specifies the directory location on disk of where to stream\r
- ; on-demand content from.  Subdirectories are supported as of DNAS 1.8.2.\r
--; Default is ./content, meaning a directory named content in the same directory\r
-+; Default is ./content/, meaning a directory named content in the same directory\r
- ; as where sc_serv was invoked from.\r
--; ContentDir=./content\r
-+ContentDir=/opt/shoutcast/content/\r
\r
- ; IntroFile can specify a mp3 file that will be streamed to listeners right\r
- ; when they connect before they hear the live stream.\r
diff --git a/media-sound/shoutcast-server-bin/files/shoutcast.2 b/media-sound/shoutcast-server-bin/files/shoutcast.2
deleted file mode 100644 (file)
index bd8e07b..0000000
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/sbin/runscript
-
-depend() {
-       need localmount
-}
-
-checkconfig() {
-       if ! [ -f /etc/shoutcast/sc_serv.conf ]; then
-               eerror "Can't find /etc/shoutcast/sc_serv.conf!"
-               return 1
-       fi
-
-       return 0
-}
-
-start() {
-       checkconfig || return 1
-
-        ebegin "Starting SHOUTcast"
-       start-stop-daemon --background --start --quiet --user shoutcast \
-               --group nogroup --make-pidfile --pidfile /var/run/sc_serv.pid \
-               --exec /opt/bin/sc_serv /etc/shoutcast/sc_serv.conf
-       eend $?
-}
-
-stop() {
-       ebegin "Stopping SHOUTcast"
-       start-stop-daemon --stop --pidfile /var/run/sc_serv.pid --name sc_serv
-       eend $?
-}
diff --git a/media-sound/shoutcast-server-bin/metadata.xml b/media-sound/shoutcast-server-bin/metadata.xml
deleted file mode 100644 (file)
index c870d0e..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<maintainer type="project">
-       <email>sound@gentoo.org</email>
-       <name>Gentoo Sound project</name>
-</maintainer>
-</pkgmetadata>
diff --git a/media-sound/shoutcast-server-bin/shoutcast-server-bin-1.9.8-r1.ebuild b/media-sound/shoutcast-server-bin/shoutcast-server-bin-1.9.8-r1.ebuild
deleted file mode 100644 (file)
index f192799..0000000
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=2
-inherit eutils user
-
-DESCRIPTION="SHOUTcast is a streaming audio system"
-HOMEPAGE="http://www.shoutcast.com/license"
-SRC_URI="sc_serv_${PV}_Linux.tar.gz"
-
-LICENSE="shoutcast"
-SLOT="0"
-KEYWORDS="-* amd64 x86"
-IUSE=""
-
-RDEPEND=""
-DEPEND=""
-
-QA_PRESTRIPPED=/opt/bin/sc_serv
-
-RESTRICT="fetch"
-
-S=${WORKDIR}
-
-pkg_nofetch() {
-       elog "Download ${A} from ${HOMEPAGE} and copy it to ${DISTDIR}."
-}
-
-pkg_setup() {
-       enewuser shoutcast -1 -1 -1 nogroup
-}
-
-src_prepare() {
-       epatch "${FILESDIR}"/${PV}-sc_serv.conf.patch
-}
-
-src_install() {
-       into /opt
-       dobin sc_serv || die "dobin failed"
-
-       newinitd "${FILESDIR}"/shoutcast.2 shoutcast || die "newinitd failed"
-       dodir /opt/shoutcast/content
-
-       insinto /etc/shoutcast
-       doins sc_serv.conf || die "doins failed"
-
-       dodoc README.TXT
-
-       fowners -R shoutcast:nogroup /{etc,opt}/shoutcast || die "chown failed"
-       fperms -R 700 /{etc,opt}/shoutcast || die "chmod failed"
-}
-
-pkg_postinst() {
-       elog
-       elog "To start shoutcast, use the init.d script by running"
-       elog "/etc/init.d/shoutcast."
-       elog
-       elog "On demand content should be stored in /opt/shoutcast/content"
-       elog "See http://forums.winamp.com/showthread.php?threadid=75736 for"
-       elog "more information on setting up on demand content"
-       elog
-       elog "FAQ's can be found at:"
-       elog "http://forums.winamp.com/showthread.php?threadid=75736 "
-       elog "and can help you with server setup."
-       elog
-       elog "An Gentoo Linux shoutcast guide can be found at "
-       elog "https://www.gentoo.org/doc/en/shoutcast-config.xml"
-       elog
-}